### Hierarchy

- Event
  - ProgressEvent

## Index

### Properties

- AT_TARGET
- BUBBLING_PHASE
- CAPTURING_PHASE
- Event
- NONE
- bubbles
- cancelBubble
- cancelable
- composed
- currentTarget
- defaultPrevented
- eventPhase
- isTrusted
- lengthComputable
- loaded
- returnValue
- srcElement
- target
- timeStamp
- total
- type

### Methods

- composedPath
- initEvent
- preventDefault
- stopImmediatePropagation
- stopPropagation

## Properties

### AT_TARGET

AT_TARGET: number

Inherited from Event.AT_TARGET

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5017

### BUBBLING_PHASE

BUBBLING_PHASE: number

Inherited from Event.BUBBLING_PHASE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5018

### CAPTURING_PHASE

CAPTURING_PHASE: number

Inherited from Event.CAPTURING_PHASE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5019

### Event

Event: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5023

#### Type declaration

- ##### constructor: function

  - new __type(type: string, eventInitDict?: EventInit): Event
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5024

    #### Parameters

    - ##### type: string

    - ##### Optional eventInitDict: EventInit

    #### Returns Event

- ##### AT_TARGET: number

- ##### BUBBLING_PHASE: number

- ##### CAPTURING_PHASE: number

- ##### NONE: number

- ##### prototype: Event

### NONE

NONE: number

Inherited from Event.NONE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5020

### bubbles

bubbles: boolean

Inherited from Event.bubbles

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4967

Returns true or false depending on how event was initialized. True if event goes through its target's ancestors in reverse tree order, and false otherwise.

### cancelBubble

cancelBubble: boolean

Inherited from Event.cancelBubble

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4968

### cancelable

cancelable: boolean

Inherited from Event.cancelable

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4969

### composed

composed: boolean

Inherited from Event.composed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4973

Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.

### currentTarget

currentTarget: EventTarget | null

Inherited from Event.currentTarget

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4978

Returns the object whose event listener's callback is currently being invoked.

### defaultPrevented

defaultPrevented: boolean

Inherited from Event.defaultPrevented

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4979

### eventPhase

eventPhase: number

Inherited from Event.eventPhase

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4980

### isTrusted

isTrusted: boolean

Inherited from Event.isTrusted

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4985

Returns true if event was dispatched by the user agent, and false otherwise.

### lengthComputable

lengthComputable: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11237

### loaded

loaded: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11238

### returnValue

returnValue: boolean

Inherited from Event.returnValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4986

### srcElement

srcElement: Element | null

Inherited from Event.srcElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4988

deprecated

### target

target: EventTarget | null

Inherited from Event.target

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4992

Returns the object to which event is dispatched (its target).

### timeStamp

timeStamp: number

Inherited from Event.timeStamp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4997

Returns the event's timestamp as the number of milliseconds measured relative to the time origin.

### total

total: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11239

### type

type: string

Inherited from Event.type

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5003

Returns the type of event, e.g. "click", "hashchange", or "submit".

## Methods

### composedPath

- composedPath(): EventTarget[]

- Inherited from Event.composedPath

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5004

  #### Returns EventTarget[]

### initEvent

- initEvent(type: string, bubbles?: undefined | false | true, cancelable?: undefined | false | true): void

- Inherited from Event.initEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5005

  #### Parameters

  - ##### type: string

  - ##### Optional bubbles: undefined | false | true

  - ##### Optional cancelable: undefined | false | true

  #### Returns void

### preventDefault

- preventDefault(): void

- Inherited from Event.preventDefault

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5006

  #### Returns void

### stopImmediatePropagation

- stopImmediatePropagation(): void

- Inherited from Event.stopImmediatePropagation

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5012

  Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.

  #### Returns void

### stopPropagation

- stopPropagation(): void

- Inherited from Event.stopPropagation

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5016

  When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.

  #### Returns void

Generated using TypeDoc